// -*- C++ -*-

/* 
 * gtkaxis.h 
 *
 * Copyright (C) 1998 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@emccta.com> and
 * Havoc Pennington <hp@emccta.com>.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef GUPPI_GTKAXIS_H
#define GUPPI_GTKAXIS_H

#include <list>
#include <gtk--draw.h>
#include "axis_base.h"
//#include "rubberband.h"

class Gtk_Axis : public Gtk_DrawingBuffer,
		 public Gdk_Draw,
		 public Axis_Base {
public:
  Gtk_Axis(Axis_Base::alignment_t a);
  virtual ~Gtk_Axis();

protected:
  virtual gint button_press_event_impl(GdkEventButton* be);
  virtual gint configure_event_impl(GdkEventConfigure* ce);
  virtual gint motion_notify_event_impl(GdkEventMotion* me);
  virtual void size_request_impl(GtkRequisition* r);

  void redraw();

private:
};

#endif
